# Copyright (c) 2000-2010, JPackage Project
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
#
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the
#    distribution.
# 3. Neither the name of the JPackage Project nor the names of its
#    contributors may be used to endorse or promote products derived
#    from this software without specific prior written permission.
#
# THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
# "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
# LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
# A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
# OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
# LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
# DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
# THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
# (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
# OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
#

Name:           jts-topo-suite
Version:        1.11
Release:        1%{?dist}
Summary:        GisBeans

Group:          Development/Libraries
License:        LGPL
URL:            http://sourceforge.net/projects/jts-topo-suite/

Source0:        jts-topo-suite-1.11.tgz
# svn export https://jts-topo-suite.svn.sourceforge.net/svnroot/jts-topo-suite/tags/Version_1.11 jts-topo-suite-1.11
# tar czf jts-topo-suite-1.11.tgz jts-topo-suite-1.11/
Source1:        http://mirrors.ibiblio.org/pub/mirrors/maven2/com/vividsolutions/jts/1.11/jts-1.11.pom
Patch0:         jts-topo-suite-jts-build.patch
Patch1:         jts-topo-suite-LineNumberSAXBuilder.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:  java-devel >= 1.6.0
BuildRequires:  jpackage-utils >= 0:1.7.5
BuildRequires:  ant >= 1.7
BuildRequires:  acme
BuildRequires:  jdom
BuildRequires:  junit
BuildRequires:  xerces-j2

Requires:  java >= 1.6.0
Requires:  jpackage-utils >= 0:1.7.5
Requires:  acme
Requires:  jdom
Requires:  xerces-j2

Requires(post):    jpackage-utils >= 0:1.7.5
Requires(postun):  jpackage-utils >= 0:1.7.5

BuildArch:      noarch

%description
The JTS Topology Suite is an API for modelling and 
manipulating 2-dimensional linear geometry. It provides 
numerous geometric predicates and functions. JTS conforms 
to the Simple Features Specification for SQL published by 
the Open GIS Consortium.

%package javadoc 
Summary:        Javadocs for %{name} 
Group:          Documentation 
 
%description javadoc 
%{summary}. 

%package manual 
Summary:        Documents for %{name} 
Group:          Documentation 
 
%description manual 
%{summary}. 

%prep
%setup -q 
for j in $(find . -name "*.jar"); do
    mv $j $j.no
done
ln -s $(build-classpath jdom) jts/java/lib/jdom.jar
ln -s $(build-classpath xerces-j2) jts/java/lib/xerces.jar
ln -s $(build-classpath junit) jts/java/lib/junit-3.7.jar
ln -s $(build-classpath acme) jts/java/lib/acme.jar
%patch0 -b .sav
%patch1 -b .jdom

%build
%ant -f jts/build.xml run

%install
%__rm -rf %{buildroot}

# jar
%__mkdir_p %{buildroot}%{_javadir}

%__install -m 644 build/dist/lib/jts-%{version}.jar %{buildroot}%{_javadir}/
%__install -m 644 build/dist/lib/JTS_Test.jar %{buildroot}%{_javadir}/jts-test-%{version}.jar
(cd %{buildroot}%{_javadir} && for jar in *-%{version}*; do \
%__ln_s ${jar} ${jar/-%{version}/}; done)

# poms
install -d -m 755  $RPM_BUILD_ROOT%{_datadir}/maven2/poms
install -m 644 %{SOURCE1} $RPM_BUILD_ROOT%{_datadir}/maven2/poms/JPP-%{name}.pom
%add_to_maven_depmap com.vividsolutions jts %{version} JPP jts

# javadoc 
%__mkdir_p %{buildroot}%{_javadocdir}/%{name}-%{version} 
%__cp -a build/dist/doc/javadoc/* %{buildroot}%{_javadocdir}/%{name}-%{version} 
%__ln_s %{name}-%{version} %{buildroot}%{_javadocdir}/%{name} 

# manual 
%__mkdir_p %{buildroot}%{_docdir}/%{name}-%{version} 
%__cp -a build/dist/doc/* %{buildroot}%{_docdir}/%{name}-%{version} 
%__rm -rf %{buildroot}%{_docdir}/%{name}-%{version}/javadoc

# data 
%__mkdir_p %{buildroot}%{_datadir}/%{name}-%{version} 
%__cp -a build/dist/testxml %{buildroot}%{_datadir}/%{name}-%{version}

%clean
%__rm -rf %{buildroot}

%post
%update_maven_depmap

%postun
%update_maven_depmap

%files
%defattr(-,root,root,-)
%{_javadir}/*.jar
%{_datadir}/maven2/poms/*
%{_mavendepmapfragdir}/*
%{_docdir}/%{name}-%{version}/LICENSE.txt
%{_datadir}/%{name}-%{version}

%files javadoc 
%defattr(-,root,root,-) 
%{_javadocdir}/%{name}-%{version} 
%{_javadocdir}/%{name} 

%files manual 
%defattr(-,root,root,-) 
%{_docdir}/%{name}-%{version} 

%changelog
* Tue Oct 12 2010 Ralph Apel <r.apel@r-apel.de> 1.11-1
- First release

